<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: BlackAces
| Filename: theme.php
| Version: v2.00
| Site: http://hellsblackaces.com
+--------------------------------------------------------+
| Theme Updates by: LaocheXe (http://forbiddenchaos.myvnc.com)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

//if not called from php-fusion, kick you out
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

//add theme functions
require_once INCLUDES."theme_functions_include.php";

//define the bullet...
define("THEME_BULLET", "<img src='".THEME."images/bullet.png' alt='' style='vertical-align:middle; border: 0px;'/>");

// Render Page
function render_page($license=false) {
  global $settings, $locale, $main_style, $mysql_queries_time, $aidlink;
  
echo"
<!-- HEADER -->
<div id='templatemo_header_wrapper'>
  <div id='templatemo_header'>
    	<div id='site_title'>";
echo "</td>
</tr><tr>
	<td class='banner' height='63'>";
	if ($settings['sitebanner2']) {
		eval("?>".stripslashes($settings['sitebanner2'])."<?php ");
	}
echo "</td>
</tr>
</table>";
echo "        </div> <!-- end of site_title -->
    
<!-- NAVIGATION -->    
        <div id='templatemo_menu'>
      ".showsublinks(" ")."    
        </div>
    </div>
</div>

<!-- MAIN PAGE CONTENT -->
<div id='templatemo_main_wrapper'>
  <div id='templatemo_main'>";
  
         if (LEFT) {
            echo" <div id='templatemo_sidebar_left' class='sidebar_box_left'>\n";
            echo LEFT ;
            echo" </div>\n";
         }
         
         if(!LEFT && RIGHT){
            echo "<div id='templatemo_content_noside'>
            ".U_CENTER.CONTENT.L_CENTER."
            </div>";         
         }
         
         if(!RIGHT && LEFT){
            echo "<div id='templatemo_content_noside'>
            ".U_CENTER.CONTENT.L_CENTER."
            </div>";   
         }
         
         if(!LEFT && !RIGHT){
            echo "<div id='templatemo_content_noboth'>
            ".U_CENTER.CONTENT.L_CENTER."
            </div>";   
         }
         
         if(LEFT && RIGHT){
            echo "<div id='templatemo_content'>
            ".U_CENTER.CONTENT.L_CENTER."
            </div>";         
         }

         if (RIGHT) {
            echo"<div id='templatemo_sidebar_right' class='sidebar_box_right'>\n";
            echo RIGHT;
            echo"</div>\n";
         }
       
    echo "<div class='cleaner'></div>
    </div>
</div>


<!-- FOOTER AND COPYRIGHT -->
<div id='templatemo_footer_wrapper'>
  <div id='templatemo_footer'>";
  
// Footer Starts  
  echo "<div id='footer' class='".$main_style."'>\n";
  echo "<div id='copyright-site'></div>\n";
  if (!$license) { echo "<div id='copyright-fusion'>".stripslashes($settings['footer'])."<br /><a href='http://hellsblackaces.com'>BlackAces</a> Theme &copy; 2012-2013<br />".showcopyright()."</div></td>\n"; }
  echo showrendertime();
    echo "<div class='cleaner'></div>
    </div>
</div> 
";
}


function render_comments($c_data, $c_info){
  global $locale, $settings;
  opentable($locale['c100']);
  if (!empty($c_data)){
    echo "<div class='comments floatfix'>\n";
      $c_makepagenav = '';
      if ($c_info['c_makepagenav'] !== FALSE) { 
      echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
    }
      foreach($c_data as $data) {
          $comm_count = "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a>";
      echo "<div class='tbl2 clearfix floatfix'>\n";
      if ($settings['comments_avatar'] == "1") { echo "<span class='comment-avatar'>".$data['user_avatar']."</span>\n"; }
          echo "<span style='float:right' class='comment_actions'>".$comm_count."\n</span>\n";
      echo "<span class='comment-name'>".$data['comment_name']."</span>\n<br />\n";
      echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
      if ($data['edit_dell'] !== false) { echo "<br />\n<span class='comment_actions'>".$data['edit_dell']."\n</span>\n"; }
      echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
    }
    echo $c_makepagenav;
    if ($c_info['admin_link'] !== FALSE) {
      echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
    }
    echo "</div>\n";
  } else {
    echo $locale['c101']."\n";
  }
  closetable();   
}
  
//Render News
function render_news($subject, $news, $info) {
  global $_GET; $image = "";
  $image = $info['cat_image'];
  echo "<a name='news_".$info['news_id']."' id='news_".$info['news_id']."'></a><br />\n";
  echo "<div class='news-item floatfix'>\n";
  echo "<div class='content'>\n";
    echo "<div class='image'>".$image."</div>\n";
    echo "<div>\n";
      echo "<span class='title'><a href='".BASEDIR."news.php?readmore=".$info['news_id']."'>".$info['news_subject']."</a><br /></span>\n";
      echo "<span class='poster'>".newsposter($info, "")."</span>\n";
    echo "</div>\n";
    echo "<div class='subject'>".$news."</div>\n";
    echo "<div class='footer'>\n";
      echo "<span class='category'>".newscat($info, " - ")."</span>";
      echo "<span class='read-more'>".newsopts($info, " - ")."</span>";
    echo "</div>\n";
  echo "</div>\n";
  echo "<div class='clear'></div><br /><hr></hr>\n";
  echo "</div>\n";
}

//Render Article
function render_article($subject, $article, $info) {
  echo "<div class='news-item'>\n";
  echo "<div class='content'>\n";
    echo "<div class='info'>\n";
      echo "<span class='title'>".$subject."</span><br />\n";
      echo "<span class='poster'>".articleposter($info, "")."</span><br /><br />\n";
    echo "</div>\n";
    echo "<div class='subject'>".$article."</div>\n";
    echo "<div class='footer'>\n";
      echo "<span class='category'>".articlecat($info, " - ")."</span>";
      echo "<span class='read-more'>".articleopts($info, " - ")."</span>";
    echo "</div>\n";
  echo "</div>\n";
  echo "</div>\n";
}
  
//Opentable function
function opentable($title) {  
echo "<table width='100%' border='0' cellpadding='1' cellspacing='1'>
<tr><td>&nbsp;&nbsp;&nbsp;<h4>".$title."</h4></td></tr>
<tr><td><hr></hr></td></tr><tr><td>";
}

//Closetable function
function closetable() {
echo "</td></tr></table>";
}

function openside($title, $collapse = false, $state = "on") {
  static $box_id = 0; $box_id++;
  global $panel_collapse, $p_data; $panel_collapse = $collapse;
  opentable(($collapse ? panelbutton($state,$box_id) : "").$title);
  echo ($collapse ? panelstate($state, $box_id) : "");
}


//Closeside Function
function closeside($collapse = false) {
global $panel_collapse;
if ($panel_collapse == true) { echo "</div>\n"; }
echo "</td></tr><tr><td><hr></hr></td></tr></table>";
}
?>